package com.iconplus.smartproc.service.manajemenuser;

import com.iconplus.smartproc.helper.service.BaseService;
import com.iconplus.smartproc.model.entity.Users;
import com.iconplus.smartproc.model.request.UsersRequest;
import com.iconplus.smartproc.model.response.UsersResponse;
import com.iconplus.smartproc.repository.UsersRepository;
import org.springframework.stereotype.Service;

@Service
public class PostCreateUserService implements BaseService<UsersRequest, UsersResponse> {

    private UsersRepository usersRepository;

    public PostCreateUserService(UsersRepository usersRepository) {
        this.usersRepository = usersRepository;
    }

    @Override
    public UsersResponse execute(UsersRequest input) {


        Users users = Users.builder()
//                .id(input.getId())
//                .username(input.getUsername())
//                .email(input.getEmail())
//                .nama(input.getNama())
//                .bidangId(1L)
//                .instansiId(1L)
//                .roleId(in)
//                .jabatan()
//                .password()
//                .isActive()
//                .deleted(false)
                .build();

        var result = usersRepository.save(users);
        return UsersResponse.builder()
                .id(result.getId())
                .build();

    }
}
